DeadGuy = Entity:extend()

function DeadGuy:new(x, y, z, movemesh)

  Entity.new(self, x, y, z)
	self.z = z

  self.img = G.core.images:load("data/sprites/deadguys.png")

  self.kind = love.math.random(1, 3)

	self.frames = {}
	for i = 1, 3 do
		self.frames[i] = quad(i, 64, 64, self.img)
  end


end


function DeadGuy:draw(renderer)
  renderer:add(self.img, self.frames[self.kind], 32, 32, self.x, self.y, self.z,
    "alpha", 1, 1, 255, 255, 255, 255, true, false )
end
